


/*
 * cfg.hpp
 *
 * Copyright (c) Stephen Thompson, 2007.
 * Licenced for non-commercial use only. See LICENCE.txt for details.
 *
 * Functions to get values for Config Variables. (The implementation of these
 * could be changed fairly easily.)
 * NB could also change the parameter type from const char * to string, but it makes bugger all
 * difference since probably not computing the varnames anyway!
 *
 * (TODO) at some point should remove all the Config string lookups
 * and replace them with global variables (some or all of those
 * variables could still be read from a file of course). But the
 * present system is great for development.
 *
 */

#ifndef CFG_HPP
#define CFG_HPP

#include <string>

void CfgInit();

bool CfgBool(const char *name);
int CfgInt(const char *name);
float CfgFloat(const char *name);
std::string CfgString(const char *name);

#endif
